# Problems compiling sane-1.00

Oliver Rauch (oliver.rauch@Wolfsburg.DE)
Sun, 22 Nov 1998 13:25:54 +0100

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Georg Huettenegger: "compiling problem with egcs-1.03a"
- Previous message: chris burgess: "Nikon AX-210"

Hi,

I had problems while compiling the dc210-backend in sane-1.00

gcc -c -g -O2 -Wall -DHAVE_CONFIG_H -I. -I. -I../include -I../include
-D_GNU_SOURCE -DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=1 -DV_MINOR=0
-DBACKEND_NAME=djpeg -DLIBDIR=/usr/local/lib/sane -fPIC -DPIC djpeg.c
In file included from cdjpeg.h:14,
from djpeg.c:6:
jinclude.h:20: jconfig.h: No such file or directory
In file included from djpeg.c:6:
cdjpeg.h:15: jpeglib.h: No such file or directory
cdjpeg.h:16: jerror.h: No such file or directory
make: *** [djpeg.lo] Error 1

The problem can be solved by removing dc210 from PRELOADABLE_BACKEDNS in
backend/Makefile

Hi David,
if this a problem that happens on other systems too, we should find a fix for
it very quick,
thats not nice on a 1.00 version!!!

Bye
Oliver

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

- Next message: Georg Huettenegger: "compiling problem with egcs-1.03a"
- Previous message: chris burgess: "Nikon AX-210"